set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_050000 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2013.01.01'
,p_release=>'5.0.3.00.03'
,p_default_workspace_id=>5014623940873971
,p_default_application_id=>999999
,p_default_owner=>'MDK'
);
end;
/
prompt --application/ui_types
begin
null;
end;
/
prompt --application/shared_components/plugins/item_type/org_armbruster_it_apex_yesno_flipswitch
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(18004969279404364)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'ORG.ARMBRUSTER-IT.APEX.YESNO.FLIPSWITCH'
,p_display_name=>'YesNoFlipswitch(IT-STAR)'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_plsql_code=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'function yesno_slider_callback(p_item                IN APEX_PLUGIN.t_page_item,',
'                               p_plugin              in APEX_PLUGIN.t_plugin,',
'                               p_value               IN VARCHAR2,',
'                               p_is_readonly         IN BOOLEAN,',
'                               p_is_printer_friendly IN BOOLEAN)',
'  RETURN APEX_PLUGIN.t_page_item_render_result IS',
'  l_result        APEX_PLUGIN.T_PAGE_ITEM_RENDER_RESULT;',
'  l_escaped_value varchar2(32767) := sys.htf.escape_sc(p_value);',
'  --',
'  l_name varchar2(30);',
'  --',
'  l_ontext          apex_application_page_items.attribute_01%type := p_item.attribute_01;',
'  l_offtext         apex_application_page_items.attribute_02%type := p_item.attribute_02;',
'  l_dragable        apex_application_page_items.attribute_03%type := p_item.attribute_03;',
'  l_clickable       apex_application_page_items.attribute_04%type := p_item.attribute_04;',
'  l_default_on      apex_application_page_items.attribute_05%type := p_item.attribute_05;',
'  l_theme           apex_application_page_items.attribute_06%type := p_item.attribute_06;',
'  l_disabled        apex_application_page_items.attribute_07%type := p_item.attribute_07;',
'  l_easing          apex_application_page_items.attribute_08%type := p_item.attribute_08;',
'  l_width           apex_application_page_items.attribute_09%type := p_item.attribute_09;',
'  l_height          apex_application_page_items.attribute_10%type := p_item.attribute_10;',
'  l_type            apex_application_page_items.attribute_11%type := p_item.attribute_11;',
'  l_animate         apex_application_page_items.attribute_12%type := p_item.attribute_12;',
'  l_onValue         apex_application_page_items.attribute_13%type := p_item.attribute_13;',
'  l_offValue        apex_application_page_items.attribute_14%type := p_item.attribute_14;',
'  l_debug           apex_application_page_items.attribute_15%type := p_item.attribute_15;',
'  l_onload_string   varchar2(2000);',
'  l_html_string     varchar2(2000);',
'  l_html_input      varchar2(200);',
'  l_slider_item_id  varchar2(200);',
'  l_element_item_id varchar2(200);',
'',
'begin',
'',
'  -- Include CSS and JS-Libraries for compatibility with APEX 4.x',
'  apex_css.add_file(p_name      => ''toggles-full'',',
'                    p_directory => p_plugin.file_prefix);',
'',
'  apex_javascript.add_library(p_name           => ''toggles.min'',',
'                              p_directory      => p_plugin.file_prefix,',
'                              p_version        => NULL,',
'                              p_skip_extension => FALSE);',
'',
'  -- Include ITSTAR-Core JS-Library einbinden',
'  APEX_JAVASCRIPT.add_library(p_name           => ''itstar.core'',',
'                              p_directory      => p_plugin.file_prefix,',
'                              p_version        => NULL,',
'                              p_skip_extension => FALSE);',
'',
'  -- Include ITSTAR-Tools JS-Library einbinden',
'  APEX_JAVASCRIPT.add_library(p_name           => ''itstar.utils'',',
'                              p_directory      => p_plugin.file_prefix,',
'                              p_version        => NULL,',
'                              p_skip_extension => FALSE);',
'',
'  -- Include Slider JS-Library einbinden',
'  APEX_JAVASCRIPT.add_library(p_name           => ''itstar.apex.plugins.yesnoslider'',',
'                              p_directory      => p_plugin.file_prefix,',
'                              p_version        => NULL,',
'                              p_skip_extension => FALSE);',
'',
'  -- Place the Elements on the HTML Page. The flipswitch has a extra prefix',
'  l_slider_item_id  := ''S_'' || p_item.name;',
'  l_element_item_id := p_item.name;',
'  l_name            := apex_plugin.get_input_name_for_page_item(false);',
'',
'  if nvl(l_debug, ''N'') = ''Y'' then',
'    l_html_input := ''<input type="text"'';',
'  else',
'    l_html_input := ''<input type="hidden"'';',
'  end if;',
'',
'  l_html_string := chr(10) || ''<!-- start flipswitch plugin -->'';',
'  l_html_string := l_html_string || chr(10) || ''<table><tr>'' || chr(10) ||',
'                   ''   <td valign="middle"><div class="'' || l_theme ||',
'                   ''" id="'' || l_slider_item_id ||',
'                   ''" class="toggle"></div></td>'' || chr(10) ||',
'                   ''   <td valign="middle">'' || l_html_input || '' name="'' ||',
'                   l_name || ''" id="'' || l_element_item_id || ''" value="'' ||',
'                   l_escaped_value || ''"/></td>'' || chr(10) ||',
'                   ''</tr></table>'';',
'  l_html_string := l_html_string || chr(10) ||',
'                   ''<!-- end flipswitch plugin -->'';',
'  htp.p(l_html_string);',
'',
'  -- JS Call Onload of the Page',
'  l_onload_string := ''itstar.apex.plugins.slider.yesno.flipswitch("'' ||',
'                     l_slider_item_id || ''", "'' || l_element_item_id ||',
'                     ''", "'' || p_value || ''", '' || ''{'' ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''drag'',',
'                                                   p_value     => l_dragable,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''click'',',
'                                                   p_value     => l_clickable,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''on'',',
'                                                   p_value     => l_default_on,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''animate'',',
'                                                   p_value     => l_animate,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''easing'',',
'                                                   p_value     => l_easing,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''width'',',
'                                                   p_value     => l_width,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''height'',',
'                                                   p_value     => l_height,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''type'',',
'                                                   p_value     => l_type,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''disabled'',',
'                                                   p_value     => l_disabled,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''onText'',',
'                                                   p_value     => l_ontext,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''offText'',',
'                                                   p_value     => l_offtext,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''onValue'',',
'                                                   p_value     => l_onValue,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''offValue'',',
'                                                   p_value     => l_offValue,',
'                                                   p_add_comma => TRUE) ||',
'                     APEX_JAVASCRIPT.add_attribute(p_name      => ''debug'',',
'                                                   p_value     => l_debug,',
'                                                   p_add_comma => FALSE) ||',
'                     ''});'';',
'',
'  apex_javascript.add_onload_code(p_code => l_onload_string);',
'',
'  l_result.is_navigable := TRUE;',
'',
'  return(l_result);',
'end;',
''))
,p_render_function=>'yesno_slider_callback'
,p_standard_attributes=>'VISIBLE:FORM_ELEMENT:SESSION_STATE:READONLY:ESCAPE_OUTPUT:SOURCE:ELEMENT:ELEMENT_OPTION:ENCRYPT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'Yes-No Slider "Mobile-Like" for APEX',
'',
'Thanks to Simon Tabor for the jquery library',
'https://simontabor.com/labs/toggles/'))
,p_version_identifier=>'1.0'
,p_files_version=>62
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18005170870404372)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'On Text'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'Yes'
,p_display_length=>20
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_help_text=>'Label for ON'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18005590719404375)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Off Text'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'No'
,p_display_length=>20
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_help_text=>'Label for OFF'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18005979451404375)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'dragable'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'Y'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'drag to switch?'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18006328197404376)
,p_plugin_attribute_id=>wwv_flow_api.id(18005979451404375)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18006880517404376)
,p_plugin_attribute_id=>wwv_flow_api.id(18005979451404375)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18007332851404379)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'clickable'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'Y'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'click to switch'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18007735241404379)
,p_plugin_attribute_id=>wwv_flow_api.id(18007332851404379)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18008213924404379)
,p_plugin_attribute_id=>wwv_flow_api.id(18007332851404379)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18008711833404379)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Default: On'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'N'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'is "On" the default?'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18009190334404379)
,p_plugin_attribute_id=>wwv_flow_api.id(18008711833404379)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18009657945404379)
,p_plugin_attribute_id=>wwv_flow_api.id(18008711833404379)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18193603341953712)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Theme'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'toggle-modern'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'choose you theme'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18194298633954455)
,p_plugin_attribute_id=>wwv_flow_api.id(18193603341953712)
,p_display_sequence=>10
,p_display_value=>'Dark'
,p_return_value=>'toggle-dark'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18194659091956154)
,p_plugin_attribute_id=>wwv_flow_api.id(18193603341953712)
,p_display_sequence=>20
,p_display_value=>'IPhone'
,p_return_value=>'toggle-iphone'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18195057316956949)
,p_plugin_attribute_id=>wwv_flow_api.id(18193603341953712)
,p_display_sequence=>30
,p_display_value=>'Light'
,p_return_value=>'toggle-light'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18195479093958573)
,p_plugin_attribute_id=>wwv_flow_api.id(18193603341953712)
,p_display_sequence=>40
,p_display_value=>'Modern'
,p_return_value=>'toggle-modern'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18195843629959280)
,p_plugin_attribute_id=>wwv_flow_api.id(18193603341953712)
,p_display_sequence=>50
,p_display_value=>'Soft'
,p_return_value=>'toggle-soft'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18011568701404386)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Disabled'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'N'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'disable widget'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18011996526404386)
,p_plugin_attribute_id=>wwv_flow_api.id(18011568701404386)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18012432196404386)
,p_plugin_attribute_id=>wwv_flow_api.id(18011568701404386)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18213405884049821)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Animation Easing'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'swing'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'how to animate'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18214068779050473)
,p_plugin_attribute_id=>wwv_flow_api.id(18213405884049821)
,p_display_sequence=>10
,p_display_value=>'Swing'
,p_return_value=>'swing'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18214413153051213)
,p_plugin_attribute_id=>wwv_flow_api.id(18213405884049821)
,p_display_sequence=>20
,p_display_value=>'Linear'
,p_return_value=>'linear'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18016688856654106)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'width'
,p_attribute_type=>'INTEGER'
,p_is_required=>true
,p_default_value=>'70'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18016943358655724)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_prompt=>'height'
,p_attribute_type=>'INTEGER'
,p_is_required=>true
,p_default_value=>'20'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18211381128025708)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'compact'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'How to display the flipswitch. "compact" shows just the current state of the flipswitch, "select" shows both'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18211968934028070)
,p_plugin_attribute_id=>wwv_flow_api.id(18211381128025708)
,p_display_sequence=>10
,p_display_value=>'Compact'
,p_return_value=>'compact'
,p_help_text=>'movable switch'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18212339634030184)
,p_plugin_attribute_id=>wwv_flow_api.id(18211381128025708)
,p_display_sequence=>20
,p_display_value=>'Select'
,p_return_value=>'select'
,p_help_text=>'both states of the switch are visible'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18018082587196473)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'Animate'
,p_attribute_type=>'NUMBER'
,p_is_required=>true
,p_default_value=>'250'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_help_text=>'animation time in ms'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18171031732471797)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'OnValue'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'Y'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_is_translatable=>false
,p_help_text=>'Value for "On"'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18171677706473527)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_prompt=>'OffValue'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'Value for "Off"'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(18207934319574129)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_prompt=>'Debug'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'N'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Switch on/off debug mode'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18208571160574990)
,p_plugin_attribute_id=>wwv_flow_api.id(18207934319574129)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(18208967494575670)
,p_plugin_attribute_id=>wwv_flow_api.id(18207934319574129)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A206974737461722E636F72652E6A733A0D0A202A204A617661536372697074204C696272617279207769746820616C6C206465636C61726174696F6E73206F6620616C6C2066756E6374696F6E73206F662074686520697473746172204A53204C69';
wwv_flow_api.g_varchar2_table(2) := '627261726965730D0A202A20417574686F723A2053746566616E2041726D6272757374657220287777772E61726D627275737465722D69742E6F7267290D0A202A20446174653A2031332E31312E323031340D0A202A2056657273696F6E20312E300D0A';
wwv_flow_api.g_varchar2_table(3) := '202A0D0A202A202D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D0D0A202A2056657273696F6E20312E310D0A202A2030352E31322E323031360D0A202A204E657720576964676564207965736E6F0D0A202A2F0D0A2076617220697473';
wwv_flow_api.g_varchar2_table(4) := '746172203D207B0D0A2020207574696C733A207B0D0A2020202020202069734E756D6265723A2066756E6374696F6E286E29207B7D2C0D0A202020202020206973436861723A2066756E6374696F6E286329207B7D0D0A092020207D2C0D0A2020206170';
wwv_flow_api.g_varchar2_table(5) := '65783A207B0D0A202020202020706C7567696E733A207B0D0A092020202020676F6F676C654D61703A207B0D0A090920202020646973706C61794D61703A2066756E6374696F6E28704974656D49442C2070506172616D6574657229207B7D0D0A090920';
wwv_flow_api.g_varchar2_table(6) := '7D2C0D0A090920736C696465723A207B0D0A090909736C696465723A2066756E6374696F6E2870536C696465724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E7329207B7D2C0D0A0909202020206368616E67';
wwv_flow_api.g_varchar2_table(7) := '6556616C75653A2066756E6374696F6E202870536C696465724974656D4E616D652C20704974656D4E616D6529207B7D2C0D0A0909097965736E6F3A207B0D0A09090909666C69707377697463683A2066756E6374696F6E2870536C696465724974656D';
wwv_flow_api.g_varchar2_table(8) := '4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E7329207B7D2C0D0A0909090964656275673A2066756E6374696F6E2870536C696465724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074';
wwv_flow_api.g_varchar2_table(9) := '696F6E7329207B7D2C0D0A0909090964697361626C653A2066756E6374696F6E2870536C696465724974656D4E616D6529207B7D2C0D0A09090909656E61626C653A2066756E6374696F6E2870536C696465724974656D4E616D6529207B7D0D0A090909';
wwv_flow_api.g_varchar2_table(10) := '7D0D0A0909207D2C0D0A090920726573747269637465644974656D3A207B0D0A090920202076616C69646174653A2066756E6374696F6E2028705F6974656D2C20705F747970652C20705F636861727329207B7D0D0A0909207D2C0D0A09092074696D65';
wwv_flow_api.g_varchar2_table(11) := '7069636B65723A207B0D0A0909097069636B74696D65203A2066756E6374696F6E287054696D657069636B65724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E7329207B7D0D0A0909207D0D0A0920207D0D0A';
wwv_flow_api.g_varchar2_table(12) := '2020207D2020200D0A7D3B0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(18013382705404403)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_file_name=>'itstar.core.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A206974737461722E7574696C732E6A733A0D0A202A204A617661536372697074204C69627261727920776974682074686520696D706C656D656E746174696F6E206F66207365766572616C2068656C7065722066756E6374696F6E730D0A202A2041';
wwv_flow_api.g_varchar2_table(2) := '7574686F723A2053746566616E2041726D6272757374657220287777772E61726D627275737465722D69742E6F7267290D0A202A20446174653A2031332E31312E323031340D0A202A2056657273696F6E20312E300D0A202A2052657175697265733A20';
wwv_flow_api.g_varchar2_table(3) := '6974737461722E636F72652E6A730D0A202A0D0A202A2F0D0A0D0A2F2F20436865636B2C2069662074686520706172616D657465722069732061206E756D6265720D0A6974737461722E7574696C732E69734E756D626572203D2066756E6374696F6E28';
wwv_flow_api.g_varchar2_table(4) := '6E29207B0D0A202072657475726E202169734E614E287061727365466C6F6174286E292920262620697346696E697465286E293B0D0A7D0D0A0D0A2F2F20436865636B2C2069662074686520706172616D65746572206973206120636861726163746572';
wwv_flow_api.g_varchar2_table(5) := '0D0A6974737461722E7574696C732E697343686172203D2066756E6374696F6E286329207B0D0A202072657475726E2028216974737461722E7574696C732E69734E756D626572286329293B0D0A7D0D0A0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(18013790380404403)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_file_name=>'itstar.utils.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E746F67676C652D736C696465207B0A20206F766572666C6F773A2068696464656E3B0A2020637572736F723A20706F696E7465723B0A20202D7765626B69742D757365722D73656C6563743A206E6F6E653B0A20202020202D6D6F7A2D757365722D73';
wwv_flow_api.g_varchar2_table(2) := '656C6563743A206E6F6E653B0A2020202020202D6D732D757365722D73656C6563743A206E6F6E653B0A20202020202020202020757365722D73656C6563743A206E6F6E653B0A2020646972656374696F6E3A206C74723B0A2020746578742D616C6967';
wwv_flow_api.g_varchar2_table(3) := '6E3A2063656E7465723B0A7D0A6469762E64697361626C6564203E202E746F67676C652D736C696465207B0A20206F7061636974793A20302E373B0A2020706F696E7465722D6576656E74733A206E6F6E653B0A7D0A2E746F67676C652D736C69646520';
wwv_flow_api.g_varchar2_table(4) := '2E746F67676C652D6F6E2C0A2E746F67676C652D736C696465202E746F67676C652D6F66662C0A2E746F67676C652D736C696465202E746F67676C652D626C6F62207B0A2020666C6F61743A206C6566743B0A7D0A2E746F67676C652D736C696465202E';
wwv_flow_api.g_varchar2_table(5) := '746F67676C652D626C6F62207B0A2020706F736974696F6E3A2072656C61746976653B0A20207A2D696E6465783A2039393B0A2020637572736F723A2068616E643B0A2020637572736F723A20677261623B0A7D0A2E746F67676C652D6461726B202E74';
wwv_flow_api.g_varchar2_table(6) := '6F67676C652D736C696465207B0A2020626F726465722D7261646975733A203570783B0A2020626F782D736861646F773A2030203020302031707820233234323532392C20302031707820302031707820233636363B0A7D0A2E746F67676C652D646172';
wwv_flow_api.g_varchar2_table(7) := '6B202E746F67676C652D6F6E2C0A2E746F67676C652D6461726B202E746F67676C652D6F66662C0A2E746F67676C652D6461726B202E746F67676C652D626C6F62207B0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E37';
wwv_flow_api.g_varchar2_table(8) := '293B0A2020666F6E742D73697A653A20313170783B0A7D0A2E746F67676C652D6461726B202E746F67676C652D6F6E2C0A2E746F67676C652D6461726B202E746F67676C652D73656C656374202E746F67676C652D696E6E6572202E616374697665207B';
wwv_flow_api.g_varchar2_table(9) := '0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428233141373042452C2023333141324531293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428233141373042452C20233331';
wwv_flow_api.g_varchar2_table(10) := '41324531293B0A7D0A2E746F67676C652D6461726B202E746F67676C652D6F66662C0A2E746F67676C652D6461726B202E746F67676C652D73656C656374202E746F67676C652D6F6E207B0A20206261636B67726F756E643A202D7765626B69742D6C69';
wwv_flow_api.g_varchar2_table(11) := '6E6561722D6772616469656E7428233234323532392C2023333433363342293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428233234323532392C2023333433363342293B0A7D0A2E746F67676C652D6461726B202E746F';
wwv_flow_api.g_varchar2_table(12) := '67676C652D626C6F62207B0A2020626F726465722D7261646975733A203470783B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428234346434643462C207768697465536D6F6B65293B0A20206261636B';
wwv_flow_api.g_varchar2_table(13) := '67726F756E643A206C696E6561722D6772616469656E7428234346434643462C207768697465536D6F6B65293B0A2020626F782D736861646F773A20696E7365742030203020302031707820233838382C20696E73657420302030203020327078207768';
wwv_flow_api.g_varchar2_table(14) := '6974653B0A7D0A2E746F67676C652D6461726B202E746F67676C652D626C6F623A686F766572207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236330633063302C2023646164616461293B0A2020';
wwv_flow_api.g_varchar2_table(15) := '6261636B67726F756E643A206C696E6561722D6772616469656E7428236330633063302C2023646164616461293B0A2020626F782D736861646F773A20696E7365742030203020302031707820233838382C696E73657420302030203020327078202364';
wwv_flow_api.g_varchar2_table(16) := '64643B0A7D0A2E746F67676C652D6970686F6E65202E746F67676C652D736C696465207B0A2020626F726465722D7261646975733A203939393970783B0A2020626F782D736861646F773A2030203020302031707820233939393B0A7D0A2E746F67676C';
wwv_flow_api.g_varchar2_table(17) := '652D6970686F6E65202E746F67676C652D6F6E2C0A2E746F67676C652D6970686F6E65202E746F67676C652D6F6666207B0A2020636F6C6F723A2077686974653B0A2020666F6E742D73697A653A20313870783B0A2020666F6E742D7765696768743A20';
wwv_flow_api.g_varchar2_table(18) := '626F6C643B0A2020746578742D736861646F773A2030203020387078207267626128302C20302C20302C20302E35293B0A7D0A2E746F67676C652D6970686F6E65202E746F67676C652D6F6E207B0A2020626F726465722D7261646975733A2039393939';
wwv_flow_api.g_varchar2_table(19) := '707820302030203939393970783B0A20206261636B67726F756E643A20233033376264613B0A2020626F782D736861646F773A20696E736574203270782032707820357078207267626128302C20302C20302C20302E34293B0A7D0A2E746F67676C652D';
wwv_flow_api.g_varchar2_table(20) := '6970686F6E65202E746F67676C652D6F6E3A6166746572207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428233131383966312C2023333739376566293B0A20206261636B67726F756E643A206C696E';
wwv_flow_api.g_varchar2_table(21) := '6561722D6772616469656E7428233131383966312C2023333739376566293B0A20206865696768743A203530253B0A2020636F6E74656E743A2027273B0A20206D617267696E2D746F703A202D3139253B0A2020646973706C61793A20626C6F636B3B0A';
wwv_flow_api.g_varchar2_table(22) := '2020626F726465722D7261646975733A203939393970783B0A20206D617267696E2D6C6566743A203130253B0A7D0A2E746F67676C652D6970686F6E65202E746F67676C652D6F6666207B0A2020626F782D736861646F773A20696E736574202D327078';
wwv_flow_api.g_varchar2_table(23) := '2032707820357078207267626128302C20302C20302C20302E34293B0A2020626F726465722D7261646975733A2030203939393970782039393939707820303B0A2020636F6C6F723A20233832383238323B0A20206261636B67726F756E643A20234543';
wwv_flow_api.g_varchar2_table(24) := '454345433B0A2020746578742D736861646F773A20302030203170782077686974653B0A7D0A2E746F67676C652D6970686F6E65202E746F67676C652D6F66663A6166746572207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561';
wwv_flow_api.g_varchar2_table(25) := '722D6772616469656E7428236661666166612C2023666466646664293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236661666166612C2023666466646664293B0A20206865696768743A203530253B0A2020636F6E74';
wwv_flow_api.g_varchar2_table(26) := '656E743A2027273B0A20206D617267696E2D746F703A202D3139253B0A2020646973706C61793A20626C6F636B3B0A20206D617267696E2D72696768743A203130253B0A2020626F726465722D7261646975733A203939393970783B0A7D0A2E746F6767';
wwv_flow_api.g_varchar2_table(27) := '6C652D6970686F6E65202E746F67676C652D626C6F62207B0A2020626F726465722D7261646975733A20353070783B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236431643164312C202366616661';
wwv_flow_api.g_varchar2_table(28) := '6661293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236431643164312C2023666166616661293B0A2020626F782D736861646F773A20696E73657420302030203020317078207267626128302C20302C20302C20302E';
wwv_flow_api.g_varchar2_table(29) := '36292C20696E736574203020302030203270782077686974652C2030203020337078207267626128302C20302C20302C20302E36293B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D736C696465207B0A2020626F726465722D72616469';
wwv_flow_api.g_varchar2_table(30) := '75733A203939393970783B0A2020626F782D736861646F773A2030203020302031707820233939393B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D6F6E2C0A2E746F67676C652D6C69676874202E746F67676C652D6F6666207B0A2020';
wwv_flow_api.g_varchar2_table(31) := '666F6E742D73697A653A20313170783B0A2020666F6E742D7765696768743A203530303B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D6F6E2C0A2E746F67676C652D6C69676874202E746F67676C652D73656C656374202E746F67676C';
wwv_flow_api.g_varchar2_table(32) := '652D696E6E6572202E616374697665207B0A20206261636B67726F756E643A20233435613331663B0A2020626F782D736861646F773A20696E736574203270782032707820367078207267626128302C20302C20302C20302E32293B0A2020746578742D';
wwv_flow_api.g_varchar2_table(33) := '736861646F773A2031707820317078207267626128302C20302C20302C20302E32293B0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E38293B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D6F66662C0A';
wwv_flow_api.g_varchar2_table(34) := '2E746F67676C652D6C69676874202E746F67676C652D73656C656374202E746F67676C652D6F6E207B0A2020636F6C6F723A207267626128302C20302C20302C20302E36293B0A2020746578742D736861646F773A203020317078207267626128323535';
wwv_flow_api.g_varchar2_table(35) := '2C203235352C203235352C20302E32293B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236366636663662C2023663566356635293B0A20206261636B67726F756E643A206C696E6561722D67726164';
wwv_flow_api.g_varchar2_table(36) := '69656E7428236366636663662C2023663566356635293B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D626C6F62207B0A2020626F726465722D7261646975733A20353070783B0A20206261636B67726F756E643A202D7765626B69742D';
wwv_flow_api.g_varchar2_table(37) := '6C696E6561722D6772616469656E7428236635663566352C2023636663666366293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236635663566352C2023636663666366293B0A2020626F782D736861646F773A203170';
wwv_flow_api.g_varchar2_table(38) := '78203170782032707820233838383B0A7D0A2E746F67676C652D6C69676874202E746F67676C652D626C6F623A686F766572207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236534653465342C20';
wwv_flow_api.g_varchar2_table(39) := '23663966396639293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236534653465342C2023663966396639293B0A7D0A2E746F67676C652D6D6F6465726E202E746F67676C652D736C696465207B0A2020626F72646572';
wwv_flow_api.g_varchar2_table(40) := '2D7261646975733A203470783B0A2020746578742D736861646F773A20302031707820317078207267626128302C20302C20302C20302E3235292C2030203020317078207267626128302C20302C20302C20302E32293B0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(41) := '3A202D7765626B69742D6C696E6561722D6772616469656E7428236330633563392C2023613161396166293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236330633563392C2023613161396166293B0A2020626F782D';
wwv_flow_api.g_varchar2_table(42) := '736861646F773A20696E73657420302032707820317078207267626128302C20302C20302C20302E32292C20696E73657420302030203020317078207267626128302C20302C20302C20302E3135292C20302031707820302072676261283235352C2032';
wwv_flow_api.g_varchar2_table(43) := '35352C203235352C20302E3135293B0A7D0A2E746F67676C652D6D6F6465726E202E746F67676C652D6F6E2C0A2E746F67676C652D6D6F6465726E202E746F67676C652D6F6666207B0A20202D7765626B69742D7472616E736974696F6E3A20616C6C20';
wwv_flow_api.g_varchar2_table(44) := '302E317320656173652D6F75743B0A202020202020202020207472616E736974696F6E3A20616C6C20302E317320656173652D6F75743B0A2020636F6C6F723A2077686974653B0A2020746578742D736861646F773A2031707820317078207267626128';
wwv_flow_api.g_varchar2_table(45) := '302C20302C20302C20302E31293B0A2020666F6E742D73697A653A20313170783B0A2020626F782D736861646F773A20696E73657420302032707820302072676261283235352C203235352C203235352C20302E32292C20696E73657420302030203020';
wwv_flow_api.g_varchar2_table(46) := '317078207267626128302C20302C20302C20302E32292C20696E7365742030202D31707820317078207267626128302C20302C20302C20302E31292C20302031707820317078207267626128302C20302C20302C20302E32293B0A7D0A2E746F67676C65';
wwv_flow_api.g_varchar2_table(47) := '2D6D6F6465726E202E746F67676C652D73656C656374202E746F67676C652D6F66662C0A2E746F67676C652D6D6F6465726E202E746F67676C652D73656C656374202E746F67676C652D6F6E207B0A20206261636B67726F756E643A206E6F6E653B0A7D';
wwv_flow_api.g_varchar2_table(48) := '0A2E746F67676C652D6D6F6465726E202E746F67676C652D6F66662C0A2E746F67676C652D6D6F6465726E202E746F67676C652D6F66662E616374697665207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D677261646965';
wwv_flow_api.g_varchar2_table(49) := '6E7428233733376538642C2023336634353465293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428233733376538642C2023336634353465293B0A7D0A2E746F67676C652D6D6F6465726E202E746F67676C652D6F6E2C0A';
wwv_flow_api.g_varchar2_table(50) := '2E746F67676C652D6D6F6465726E202E746F67676C652D6F6E2E616374697665207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428233438393463642C2023323835326136293B0A20206261636B6772';
wwv_flow_api.g_varchar2_table(51) := '6F756E643A206C696E6561722D6772616469656E7428233438393463642C2023323835326136293B0A7D0A2E746F67676C652D6D6F6465726E202E746F67676C652D626C6F62207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561';
wwv_flow_api.g_varchar2_table(52) := '722D6772616469656E7428236330633663392C2023383138393866293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236330633663392C2023383138393866293B0A2020626F782D736861646F773A20696E7365742030';
wwv_flow_api.g_varchar2_table(53) := '2032707820302072676261283235352C203235352C203235352C20302E32292C20696E73657420302030203020317078207267626128302C20302C20302C20302E32292C20696E7365742030202D31707820317078207267626128302C20302C20302C20';
wwv_flow_api.g_varchar2_table(54) := '302E31292C203170782031707820327078207267626128302C20302C20302C20302E32293B0A2020626F726465722D7261646975733A203370783B0A7D0A2E746F67676C652D6D6F6465726E202E746F67676C652D626C6F623A686F766572207B0A2020';
wwv_flow_api.g_varchar2_table(55) := '6261636B67726F756E642D696D6167653A202D7765626B69742D6C696E6561722D6772616469656E7428236131613961662C2023613161396166293B0A20206261636B67726F756E642D696D6167653A206C696E6561722D6772616469656E7428236131';
wwv_flow_api.g_varchar2_table(56) := '613961662C2023613161396166293B0A7D0A2E746F67676C652D736F6674202E746F67676C652D736C696465207B0A2020626F726465722D7261646975733A203570783B0A2020626F782D736861646F773A2030203020302031707820233939393B0A7D';
wwv_flow_api.g_varchar2_table(57) := '0A2E746F67676C652D736F6674202E746F67676C652D6F6E2C0A2E746F67676C652D736F6674202E746F67676C652D6F6666207B0A2020636F6C6F723A207267626128302C20302C20302C20302E37293B0A2020666F6E742D73697A653A20313170783B';
wwv_flow_api.g_varchar2_table(58) := '0A2020746578742D736861646F773A20317078203170782077686974653B0A7D0A2E746F67676C652D736F6674202E746F67676C652D6F6E2C0A2E746F67676C652D736F6674202E746F67676C652D73656C656374202E746F67676C652D696E6E657220';
wwv_flow_api.g_varchar2_table(59) := '2E616374697665207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236432666635322C2023393165383432293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236432';
wwv_flow_api.g_varchar2_table(60) := '666635322C2023393165383432293B0A7D0A2E746F67676C652D736F6674202E746F67676C652D6F66662C0A2E746F67676C652D736F6674202E746F67676C652D73656C656374202E746F67676C652D6F6E207B0A20206261636B67726F756E643A202D';
wwv_flow_api.g_varchar2_table(61) := '7765626B69742D6C696E6561722D6772616469656E7428236366636663662C2023663566356635293B0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236366636663662C2023663566356635293B0A7D0A2E746F67676C65';
wwv_flow_api.g_varchar2_table(62) := '2D736F6674202E746F67676C652D626C6F62207B0A2020626F726465722D7261646975733A203470783B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236366636663662C2023663566356635293B0A';
wwv_flow_api.g_varchar2_table(63) := '20206261636B67726F756E643A206C696E6561722D6772616469656E7428236366636663662C2023663566356635293B0A2020626F782D736861646F773A20696E7365742030203020302031707820236262622C20696E73657420302030203020327078';
wwv_flow_api.g_varchar2_table(64) := '2077686974653B0A7D0A2E746F67676C652D736F6674202E746F67676C652D626C6F623A686F766572207B0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428236534653465342C2023663966396639293B';
wwv_flow_api.g_varchar2_table(65) := '0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428236534653465342C2023663966396639293B0A2020626F782D736861646F773A20696E7365742030203020302031707820236464642C696E73657420302030203020327078';
wwv_flow_api.g_varchar2_table(66) := '20236464643B0A7D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(18191730726698516)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_file_name=>'toggles-full.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A206974737461722E617065782E706C7567696E732E7965736E6F736C696465722E6A730D0A202A204A617661736372697074204C69627261727920776974682074686520696D706C656D656E746174696F6E20666F72207468652041504558205965';
wwv_flow_api.g_varchar2_table(2) := '734E6F2D536C6964657220506C7567696E0D0A202A20417574686F723A2053746566616E2041726D6272757374657220287777772E61726D627275737465722D69742E6F7267290D0A202A20446174653A2030352E31322E323031360D0A202A20566572';
wwv_flow_api.g_varchar2_table(3) := '73696F6E20312E310D0A202A2052657175697265733A202D4A51756572794D6F62696C6520312E342E350D0A202A090909202D6A71756572792E6D6F62696C652E696E6C696E652D706E672D312E342E352E6D696E2E6373730D0A202A20202020202020';
wwv_flow_api.g_varchar2_table(4) := '202020202D6974737461722E636F72652E6A730D0A202A20090909202D6974737461722E7574696C732E6A730D0A202A0D0A202A2F0D0A6974737461722E617065782E706C7567696E732E736C696465722E7965736E6F2E6465627567203D2066756E63';
wwv_flow_api.g_varchar2_table(5) := '74696F6E2870536C696465724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E73290D0A7B0D0A0D0A202076617220736C696465724974656D4E616D65203D20222322202B2070536C696465724974656D4E616D';
wwv_flow_api.g_varchar2_table(6) := '653B0D0A2020766172206974656D4E616D65203D20222322202B20704974656D4E616D653B0D0A2020766172206974656D56616C203D207056616C75653B0D0A20200D0A2020247328704974656D4E616D652C2022537461727422293B0D0A0D0A202061';
wwv_flow_api.g_varchar2_table(7) := '6C65727428736C696465724974656D4E616D65293B0D0A20202428736C696465724974656D4E616D65292E746F67676C6573287B0D0A20202020647261673A20747275652C0D0A09636C69636B3A20747275652C0D0A09636865636B626F783A20697465';
wwv_flow_api.g_varchar2_table(8) := '6D4E616D652C0D0A09746578743A207B0D0A09096F6E3A20704F7074696F6E732E6F6E546578742C0D0A09096F66663A20704F7074696F6E732E6F6666546578740D0A097D2C0D0A096F6E3A20747275652C0D0A09616E696D6174653A20704F7074696F';
wwv_flow_api.g_varchar2_table(9) := '6E732E616E696D6174652C0D0A0977696474683A20704F7074696F6E732E77696474682C0D0A096865696768743A2032300D0A7D293B0D0A0D0A7D0D0A0D0A6974737461722E617065782E706C7567696E732E736C696465722E7965736E6F2E666C6970';
wwv_flow_api.g_varchar2_table(10) := '737769746368203D2066756E6374696F6E2870536C696465724974656D4E616D652C20704974656D4E616D652C207056616C75652C20704F7074696F6E73290D0A7B0D0A202076617220736C696465724974656D4E616D65203D20222322202B2070536C';
wwv_flow_api.g_varchar2_table(11) := '696465724974656D4E616D653B0D0A2020766172206974656D4E616D65203D20222322202B20704974656D4E616D653B0D0A20202F2F766172206974656D56616C203D20247628704974656D4E616D65293B0D0A2020766172206974656D56616C203D20';
wwv_flow_api.g_varchar2_table(12) := '7056616C75653B0D0A2020766172206C4F7074696F6E73203D20617065782E6A51756572792E657874656E64287B0D0A09090909092020647261673A202259222C0D0A09090909092020636C69636B3A202259222C0D0A090909090920206F6E3A202259';
wwv_flow_api.g_varchar2_table(13) := '222C0D0A09090909092020616E696D6174653A203235302C0D0A09090909092020656173696E673A20227377696E67222C0D0A09090909092020636865636B626F783A206E756C6C2C0D0A09090909092020636C69636B65723A206E756C6C2C0D0A0909';
wwv_flow_api.g_varchar2_table(14) := '090909202077696474683A2035302C0D0A090909090920206865696768743A2032302C0D0A09090909092020747970653A2022636F6D70616374222C0D0A0909090909202064697361626C65643A20224E222C0D0A090909090920206F6E546578743A20';
wwv_flow_api.g_varchar2_table(15) := '226F6E222C0D0A090909090920206F6666546578743A20226F6666222C0D0A090909090920206F6E56616C75653A202259222C0D0A090909090920206F666656616C75653A20224E222C0D0A0909090909202064656275673A20224E220D0A0909090909';
wwv_flow_api.g_varchar2_table(16) := '20207D2C20704F7074696F6E73293B0D0A20200D0A202076617220667344697361626C6564203D206C4F7074696F6E732E64697361626C6564203D3D202259223B0D0A202076617220667344726167203D206C4F7074696F6E732E64726167203D3D2022';
wwv_flow_api.g_varchar2_table(17) := '59223B202F2F20616C6C6F77206472616767696E672074686520746F67676C65206265747765656E20706F736974696F6E730D0A2020766172206673436C69636B203D206C4F7074696F6E732E636C69636B203D3D202259223B202F2F20616C6C6F7720';
wwv_flow_api.g_varchar2_table(18) := '636C69636B696E67206F6E2074686520746F67676C650D0A20207661722066734F6E203D206C4F7074696F6E732E6F6E203D3D202259223B202F2F2069732074686520746F67676C65204F4E206F6E20696E69740D0A2020766172206673416E696D6174';
wwv_flow_api.g_varchar2_table(19) := '65203D206C4F7074696F6E732E616E696D6174653B202F2F20616E696D6174696F6E2074696D6520286D73290D0A2020766172206673456173696E67203D206C4F7074696F6E732E656173696E673B202F2F20616E696D6174696F6E207472616E736974';
wwv_flow_api.g_varchar2_table(20) := '696F6E20656173696E672066756E6374696F6E0D0A2020766172206673436865636B626F78203D206C4F7074696F6E732E636865636B626F783B202F2F2074686520636865636B626F7820746F20746F67676C652028666F722075736520696E20666F72';
wwv_flow_api.g_varchar2_table(21) := '6D73290D0A2020766172206673436C69636B6572203D206C4F7074696F6E732E636C69636B65723B202F2F20656C656D656E7420746861742063616E20626520636C69636B6564206F6E20746F20746F67676C652E2072656D6F7665732062696E64696E';
wwv_flow_api.g_varchar2_table(22) := '672066726F6D2074686520746F67676C6520697473656C662028757365206E657374696E67290D0A20207661722066735769647468203D207061727365496E74286C4F7074696F6E732E7769647468293B202F2F2077696474682075736564206966206E';
wwv_flow_api.g_varchar2_table(23) := '6F742073657420696E206373730D0A2020766172206673486569676874203D207061727365496E74286C4F7074696F6E732E686569676874293B202F2F20686569676874206966206E6F742073657420696E206373730D0A202076617220667354797065';
wwv_flow_api.g_varchar2_table(24) := '203D206C4F7074696F6E732E747970653B202F2F20696620746869732069732073657420746F202773656C65637427207468656E207468652073656C656374207374796C6520746F67676C652077696C6C20626520757365640D0A202076617220667344';
wwv_flow_api.g_varchar2_table(25) := '697361626C6564203D206C4F7074696F6E732E64697361626C6564203D3D202259223B0D0A20207661722066734F6E54657874203D206C4F7074696F6E732E6F6E546578743B202F2F207465787420666F7220746865204F4E20706F736974696F6E0D0A';
wwv_flow_api.g_varchar2_table(26) := '20207661722066734F666654657874203D206C4F7074696F6E732E6F6666546578743B20202F2F20616E64206F66660D0A20207661722066734F6E56616C7565203D206C4F7074696F6E732E6F6E56616C75653B0D0A20207661722066734F666656616C';
wwv_flow_api.g_varchar2_table(27) := '7565203D206C4F7074696F6E732E6F666656616C75653B0D0A20207661722066734465627567203D206C4F7074696F6E732E6465627567203D3D202259223B0D0A0D0A0D0A2020696620286673446562756729207B0D0A20202020616C65727428224465';
wwv_flow_api.g_varchar2_table(28) := '62756720303A2022202B206974656D56616C293B0D0A20202020696620286974656D56616C29207B0D0A202020202020616C6572742822446562756720313A2022202B206974656D4E616D65202B2022203D2022202B206974656D56616C293B0D0A097D';
wwv_flow_api.g_varchar2_table(29) := '0D0A20202020696620286974656D56616C20213D3D206E756C6C29207B0D0A202020202020616C6572742822446562756720323A2022202B206974656D4E616D65202B202220213D2022202B20226E756C6C22293B0D0A202020207D0D0A20200D0A2020';
wwv_flow_api.g_varchar2_table(30) := '2020696620286974656D56616C203D3D20222229207B0D0A202020202020616C6572742822446562756720333A2022202B206974656D4E616D65202B2022206973742022202B2022656D70747920537472696E6722293B0D0A202020207D0D0A20207D0D';
wwv_flow_api.g_varchar2_table(31) := '0A20200D0A202069662028286974656D56616C20213D3D206E756C6C29207C7C20286974656D56616C2929207B0D0A20202020696620286974656D56616C203D3D2066734F6E56616C756529207B0D0A20202020202066734F6E203D20426F6F6C65616E';
wwv_flow_api.g_varchar2_table(32) := '28313D3D31293B0D0A202020207D20656C7365207B0D0A202009202066734F6E203D20426F6F6C65616E28313D3D32293B0D0A202020207D0D0A20207D20656C7365207B0D0A2020202066734F6E203D206C4F7074696F6E732E6F6E203D3D202259223B';
wwv_flow_api.g_varchar2_table(33) := '0D0A20207D0D0A0D0A2F2A0D0A20206966202866734F6E29207B0D0A09247328704974656D4E616D652C2066734F6E56616C7565293B0D0A20207D0D0A2020656C7365207B0D0A09247328704974656D4E616D652C2066734F666656616C7565293B0D0A';
wwv_flow_api.g_varchar2_table(34) := '20207D20200D0A20202A2F0D0A20200D0A20202428736C696465724974656D4E616D65292E746F67676C6573287B0D0A20202020647261673A206673447261672C0D0A09636C69636B3A206673436C69636B2C0D0A09746578743A207B0D0A09096F6E3A';
wwv_flow_api.g_varchar2_table(35) := '2066734F6E546578742C0D0A09096F66663A2066734F6666546578740D0A097D2C0D0A096F6E3A2066734F6E2C0D0A09616E696D6174653A206673416E696D6174652C0D0A09656173696E673A206673456173696E672C0D0A09636865636B626F783A20';
wwv_flow_api.g_varchar2_table(36) := '6673436865636B626F782C0D0A09636C69636B65723A206673436C69636B65722C0D0A0977696474683A20667357696474682C0D0A096865696768743A2066734865696768742C20202F2F20486F656865206861742065696E656E204275670D0A097479';
wwv_flow_api.g_varchar2_table(37) := '70653A206673547970650D0A7D293B0D0A0D0A20202428736C696465724974656D4E616D65292E6F6E2827746F67676C65272C2066756E6374696F6E28652C2061637469766529207B0D0A202020206966202861637469766529207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(38) := '6974656D56616C203D2066734F6E56616C75653B0D0A202020207D20656C7365207B0D0A2020202020206974656D56616C203D2066734F666656616C75653B0D0A202020207D0D0A20202020247328704974656D4E616D652C206974656D56616C293B0D';
wwv_flow_api.g_varchar2_table(39) := '0A090D0A09696620286673446562756729207B0D0A092020616C6572742822446562756720353A2022202B206974656D56616C293B0D0A097D0D0A20207D293B0D0A20200D0A2020696628667344697361626C656429207B0D0A202020202F2F2428736C';
wwv_flow_api.g_varchar2_table(40) := '696465724974656D4E616D65292E746F67676C657328292E616464436C617373282764697361626C656427293B0D0A096974737461722E617065782E706C7567696E732E736C696465722E7965736E6F2E64697361626C6528736C696465724974656D4E';
wwv_flow_api.g_varchar2_table(41) := '616D65293B0D0A092F2F6974737461722E617065782E706C7567696E732E736C696465722E7965736E6F2E656E61626C6528736C696465724974656D4E616D65293B0D0A20207D0D0A0D0A7D0D0A0D0A6974737461722E617065782E706C7567696E732E';
wwv_flow_api.g_varchar2_table(42) := '736C696465722E7965736E6F2E64697361626C65203D2066756E6374696F6E2870536C696465724974656D4E616D6529200D0A7B2020200D0A20202020242870536C696465724974656D4E616D65292E746F67676C65436C617373282764697361626C65';
wwv_flow_api.g_varchar2_table(43) := '64272C2074727565293B0D0A7D0D0A090D0A6974737461722E617065782E706C7567696E732E736C696465722E7965736E6F2E656E61626C65203D2066756E6374696F6E2870536C696465724974656D4E616D6529200D0A7B0D0A20202020242870536C';
wwv_flow_api.g_varchar2_table(44) := '696465724974656D4E616D65292E746F67676C65436C617373282764697361626C6564272C2066616C7365293B0D0A7D0D0A0D0A0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(18199388391122165)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_file_name=>'itstar.apex.plugins.yesnoslider.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A206A517565727920546F67676C65732076342E302E300A436F707972696768742032303132202D20323031352053696D6F6E205461626F72202D204D4954204C6963656E73650A68747470733A2F2F6769746875622E636F6D2F73696D6F6E7461';
wwv_flow_api.g_varchar2_table(2) := '626F722F6A71756572792D746F67676C6573202F20687474703A2F2F73696D6F6E7461626F722E636F6D2F6C6162732F746F67676C65730A2A2F0A2866756E6374696F6E2867297B66756E6374696F6E20702871297B76617220703D672E546F67676C65';
wwv_flow_api.g_varchar2_table(3) := '733D66756E6374696F6E28632C61297B76617220673D746869733B69662822626F6F6C65616E223D3D3D747970656F6620612626632E646174612822746F67676C6573222929632E646174612822746F67676C657322292E746F67676C652861293B656C';
wwv_flow_api.g_varchar2_table(4) := '73657B666F7228766172206B3D226F6E206472616720636C69636B2077696474682068656967687420616E696D61746520656173696E67207479706520636865636B626F78222E73706C697428222022292C623D7B7D2C6C3D303B6C3C6B2E6C656E6774';
wwv_flow_api.g_varchar2_table(5) := '683B6C2B2B297B76617220743D632E646174612822746F67676C652D222B6B5B6C5D293B22756E646566696E656422213D3D747970656F662074262628625B6B5B6C5D5D3D74297D613D712E657874656E64287B647261673A21302C636C69636B3A2130';
wwv_flow_api.g_varchar2_table(6) := '2C746578743A7B6F6E3A224F4E222C6F66663A224F4646227D2C6F6E3A21312C616E696D6174653A3235302C656173696E673A227377696E67222C636865636B626F783A6E756C6C2C636C69636B65723A6E756C6C2C77696474683A302C686569676874';
wwv_flow_api.g_varchar2_table(7) := '3A302C747970653A22636F6D70616374222C6576656E743A22746F67676C65227D2C617C7C7B7D2C62293B632E646174612822746F67676C6573222C0A67293B76617220663D21612E6F6E2C6E3D2273656C656374223D3D3D612E747970652C703D7128';
wwv_flow_api.g_varchar2_table(8) := '612E636865636B626F78292C6B3D612E636C69636B657226267128612E636C69636B6572292C643D612E6865696768747C7C632E68656967687428297C7C32302C6D3D612E77696474687C7C632E776964746828297C7C35303B632E6865696768742864';
wwv_flow_api.g_varchar2_table(9) := '293B632E7769647468286D293B76617220623D66756E6374696F6E2861297B72657475726E207128273C64697620636C6173733D22746F67676C652D272B612B27223E27297D2C723D622822736C69646522292C733D622822696E6E657222292C773D62';
wwv_flow_api.g_varchar2_table(10) := '28226F6E22292C783D6228226F666622292C683D622822626C6F6222292C623D642F322C6C3D6D2D622C743D612E746578743B772E637373287B6865696768743A642C77696474683A6C2C74657874496E64656E743A6E3F22223A2D642F332C6C696E65';
wwv_flow_api.g_varchar2_table(11) := '4865696768743A642B227078227D292E68746D6C28742E6F6E293B782E637373287B6865696768743A642C77696474683A6C2C6D617267696E4C6566743A6E3F22223A2D622C74657874496E64656E743A6E3F22223A642F332C6C696E65486569676874';
wwv_flow_api.g_varchar2_table(12) := '3A642B227078227D292E68746D6C28742E6F6666293B682E637373287B6865696768743A642C77696474683A642C6D617267696E4C6566743A2D627D293B0A732E637373287B77696474683A322A6D2D642C6D617267696E4C6566743A6E3F303A2D6D2B';
wwv_flow_api.g_varchar2_table(13) := '647D293B6E262628722E616464436C6173732822746F67676C652D73656C65637422292C632E63737328227769647468222C322A6C292C682E686964652829293B732E617070656E6428772C682C78293B722E68746D6C2873293B632E68746D6C287229';
wwv_flow_api.g_varchar2_table(14) := '3B76617220763D672E746F67676C653D66756E6374696F6E28622C652C41297B66213D3D62262628663D672E6163746976653D21662C632E646174612822746F67676C652D616374697665222C66292C782E746F67676C65436C61737328226163746976';
wwv_flow_api.g_varchar2_table(15) := '65222C2166292C772E746F67676C65436C6173732822616374697665222C66292C702E70726F702822636865636B6564222C66292C417C7C632E7472696767657228612E6576656E742C66292C6E7C7C28623D663F303A2D6D2B642C732E73746F702829';
wwv_flow_api.g_varchar2_table(16) := '2E616E696D617465287B6D617267696E4C6566743A627D2C653F303A612E616E696D6174652C612E656173696E672929297D2C623D66756E6374696F6E2862297B632E686173436C617373282264697361626C656422297C7C622E7461726765743D3D3D';
wwv_flow_api.g_varchar2_table(17) := '685B305D2626612E647261677C7C7628297D3B696628612E636C69636B262628216B7C7C216B2E6861732863292E6C656E6774682929632E6F6E2822636C69636B222C0A62293B6966286B296B2E6F6E2822636C69636B222C62293B696628612E647261';
wwv_flow_api.g_varchar2_table(18) := '672626216E297B76617220652C793D286D2D64292F342C7A3D66756E6374696F6E2862297B632E6F666628226D6F7573656D6F766522293B722E6F666628226D6F7573656C6561766522293B682E6F666628226D6F757365757022293B21652626612E63';
wwv_flow_api.g_varchar2_table(19) := '6C69636B2626226D6F7573656C6561766522213D3D622E747970653F7628293A28663F653C2D793A653E79293F7628293A732E73746F7028292E616E696D617465287B6D617267696E4C6566743A663F303A2D6D2B647D2C612E616E696D6174652F322C';
wwv_flow_api.g_varchar2_table(20) := '612E656173696E67297D2C753D2D6D2B643B682E6F6E28226D6F757365646F776E222C66756E6374696F6E2861297B69662821632E686173436C617373282264697361626C65642229297B653D303B682E6F666628226D6F757365757022293B722E6F66';
wwv_flow_api.g_varchar2_table(21) := '6628226D6F7573656C6561766522293B76617220623D612E70616765583B632E6F6E28226D6F7573656D6F7665222C682C66756E6374696F6E2861297B653D612E70616765582D623B663F28613D652C303C65262628613D30292C653C75262628613D75';
wwv_flow_api.g_varchar2_table(22) := '29293A28613D652B752C303E65262628613D75292C653E2D75262628613D3029293B732E63737328226D617267696E2D6C656674222C61297D293B682E6F6E28226D6F7573657570222C0A7A293B722E6F6E28226D6F7573656C65617665222C7A297D7D';
wwv_flow_api.g_varchar2_table(23) := '297D7628612E6F6E2C21302C2130297D7D3B712E666E2E746F67676C65733D66756E6374696F6E2863297B72657475726E20746869732E656163682866756E6374696F6E28297B6E6577207028712874686973292C63297D297D7D2266756E6374696F6E';
wwv_flow_api.g_varchar2_table(24) := '223D3D3D747970656F6620646566696E652626646566696E652E616D643F646566696E65285B226A7175657279225D2C70293A7028672E6A51756572797C7C672E5A6570746F7C7C672E656E6465727C7C672E247C7C24297D292874686973293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(18206342326311039)
,p_plugin_id=>wwv_flow_api.id(18004969279404364)
,p_file_name=>'toggles.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
